I am trying to install znapzend 0.15.7 in OmniOS R151014 but got the following error:

root@sgtestnas01:/opt# wget https://github.com/oetiker/znapzend/releases/download/v0.15.7/znapzend-0.15.7.tar.gz`
root@sgtestnas01:/opt# tar xzvf znapzend-0.15.7.tar.gz
root@sgtestnas01:/opt# ln -s /opt/znapzend-0.15.7 znapzend
root@sgtestnas01:/opt/znapzend# ./configure --prefix=/opt/znapzend
checking in to see how you are doing... keep fighting man!
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... conftools/install-sh -c -d
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether UID '0' is supported by ustar format... yes
checking whether GID '0' is supported by ustar format... yes
checking how to create a ustar tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports nested variables... (cached) yes
checking for perl... /usr/bin/perl
checking for curl... /usr/bin/curl
checking for wget... /usr/bin/wget
checking for pod2man... no
checking for perl version greater than or equal to 5.10.1... ok
checking is perl reasonably complete... yes. ExtUtils::MakeMaker is available
checking if require a c compiler to get perl modules compiled... yes
checking for gcc... /usr/bin/gcc
checking is perls favorite c compiler (gcc) available... yes
checking for grep that handles long lines and -e... /usr/bin/ggrep
checking for gnumake... no
checking for gmake... /usr/bin/gmake
checking for gnu make availablility... /usr/bin/gmake is GNU make
checking the price for bergulian eckels... way to expensive!
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating thirdparty/Makefile
config.status: creating lib/Makefile
config.status: creating init/znapzend.xml
config.status: WARNING:  'init/znapzend.xml.in' seems to ignore the --datarootdir setting

** CONFIGURE DONE **********************************************`

Settings:

  PERL5LIB = not set
  PERL = /usr/bin/perl
  SVCINSTALLDIR = no

The Makefiles use GNU make functionality.
Continue installation with

  /usr/bin/gmake install

root@sgtestnas01:/opt/znapzend# /usr/bin/gmake
Making all in thirdparty
gmake[1]: Entering directory '/opt/znapzend-0.15.7/thirdparty'
  GEN      touch
Successfully installed IO-Socket-IP-0.37
Successfully installed Mojolicious-6.46
Successfully installed Scalar-List-Utils-1.45 (upgraded from 1.25)
Successfully installed Exporter-5.72 (upgraded from 5.66)
Successfully installed IO-Pipely-0.005
Successfully installed Mojo-IOLoop-ForkCall-0.17
Successfully installed Test-Harness-3.36 (upgraded from 3.23)
7 distributions installed
  GEN      touch

gmake[1]: Leaving directory '/opt/znapzend-0.15.7/thirdparty'
Making all in lib
gmake[1]: Entering directory '/opt/znapzend-0.15.7/lib'
gmake[1]: Nothing to be done for 'all'.
gmake[1]: Leaving directory '/opt/znapzend-0.15.7/lib'
gmake[1]: Entering directory '/opt/znapzend-0.15.7'
  GEN      man/znapzend.1

gmake[1]: Leaving directory '/opt/znapzend-0.15.7'

root@sgtestnas01:/opt/znapzend# /usr/bin/gmake install
Making install in thirdparty
gmake[1]: Entering directory '/opt/znapzend-0.15.7/thirdparty'
gmake[2]: Entering directory '/opt/znapzend-0.15.7/thirdparty'
gmake[2]: Nothing to be done for 'install-exec-am'.
gmake[2]: Nothing to be done for 'install-data-am'.
gmake[2]: Leaving directory '/opt/znapzend-0.15.7/thirdparty'
gmake[1]: Leaving directory '/opt/znapzend-0.15.7/thirdparty'`
Making install in lib

gmake[1]: Entering directory '/opt/znapzend-0.15.7/lib'
gmake[2]: Entering directory '/opt/znapzend-0.15.7/lib'
gmake[2]: Nothing to be done for 'install-exec-am'.
 ../conftools/install-sh -c -d '/opt/znapzend/lib'
 /usr/bin/install -c -m 644  ./ZnapZend.pm '/opt/znapzend/lib/.'
/usr/bin/install: './ZnapZend.pm' and '/opt/znapzend/lib/./ZnapZend.pm' are the same file
gmake[2]: *** [install-nobase_dataDATA] Error 1
gmake[2]: Leaving directory '/opt/znapzend-0.15.7/lib'
gmake[1]: *** [install-am] Error 2
gmake[1]: Leaving directory '/opt/znapzend-0.15.7/lib'
gmake: *** [install-recursive] Error 1

Did i make some mistakes in the following the README? or is there some packages that I need to install?

up vote 0 down vote accepted

You are trying to install znapzend into the same directory where you unpacked the source. Unpack in some other place ... like /tmp or /opt/source and all will be well.

  • Thank Tobi, I moved to /tmp and run from there, able to install. – PaladineMishakal Jun 15 '16 at 2:37

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.